use AMF::Tests;
use AMF::Parser;

test amf_open_file 't/1993-12-ns.xml';

my $r = amf_get_next_record;

test $r ->get_value( 'title' );
test $r ->get_value( 'title/@xml:lang' );

test $r ->get_value( 'hasauthor' );

test ''.($r ->get_value( 'hasauthor/ID' )) eq "test:franses_p_h";

test ''.($r ->get_value( 'hasauthor/REF' )) eq "test:franses_p_h_ref";

test ''.($r ->get_value( 'hasauthor/TYPE' )) eq "person";

test $r ->get_value( 'hasauthor/TYPE' );

test not $r ->get_value( 'hasauthor/TYPES' );

test ''.($r ->get_value( 'hasauthor/@id' )) eq "test:hasauthor_id";
